package com.hxhq.business.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 细胞对象 t_cell
 *
 * @author hxhq
 * @date 2026-01-12
 */
@TableName("t_cell")
public class Cell extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验id */
    private Long studyId;

    /** 所属试验表单id */
    private Long studyFormId;

    /** 名称 */
    private String mc;

    /** 编号 */
    private String bh;

    /** 体积 */
    private String tj;

    /** 体积单位 */
    private String tjdw;

    /** 来源 */
    private String ly;

    /** 失效日 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sxr;

    /** 所属试验名称 */
    @TableField(exist = false)
    private String studyName;

    public String getStudyName() {
        return studyName;
    }

    public void setStudyName(String studyName) {
        this.studyName = studyName;
    }

    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }

    public void setStudyFormId(Long studyFormId)
    {
        this.studyFormId = studyFormId;
    }

    public Long getStudyFormId()
    {
        return studyFormId;
    }

    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }

    public void setBh(String bh)
    {
        this.bh = bh;
    }

    public String getBh()
    {
        return bh;
    }

    public void setTj(String tj)
    {
        this.tj = tj;
    }

    public String getTj()
    {
        return tj;
    }

    public void setTjdw(String tjdw)
    {
        this.tjdw = tjdw;
    }

    public String getTjdw()
    {
        return tjdw;
    }

    public void setLy(String ly)
    {
        this.ly = ly;
    }

    public String getLy()
    {
        return ly;
    }

    public void setSxr(Date sxr)
    {
        this.sxr = sxr;
    }

    public Date getSxr()
    {
        return sxr;
    }

}
